Bug 782620 - xrdp: predictable temporary files may lead to arbitrary file overwrite [fedora-all]
xrdp: predictable temporary files may lead to arbitrary file overwrite [fedor...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xrdp (Show other bugs)
19
All Linux
low Severity low
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
fst_owner=pjp
: Reopened, Security, SecurityTracking
Depends On:
Blocks: 782619
  Show dependency treegraph
 
Reported: 2012-01-17 18:22 EST by Vincent Danen
Modified: 2015-10-26 08:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: xrdp-0.6.1-2
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-05 11:55:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-01-17 18:22:35 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=782619

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora End Of Life 2012-08-07 15:32:01 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Tomas Hoger 2012-08-09 04:33:19 EDT
rpm changelog does not indicate this got addressed in any way.
Comment 3 Itamar Reis Peixoto 2012-08-09 11:48:01 EDT
I will fix that in next commit.
Comment 4 Fedora End Of Life 2013-04-03 16:04:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 pjp 2014-11-01 05:56:23 EDT
The upstream fixes seem to be available since long

  -> https://bugzilla.redhat.com/show_bug.cgi?id=782619#c2

Could you please have a look?
Comment 6 Orion Poplawski 2014-12-05 11:55:30 EST
This is already in F19.

Note You need to log in before you can comment on or make changes to this bug.